/**
      $Header: RODSoftware Object interface for the ROD-Module Application
      Created & Maintaned by JB. Juanba.Romance@ific.uv.es $
**/

#ifndef __RODSoftwareINC__
#define __RODSoftwareINC__

#include "Machine.h"

/*+ ROD Software Object +*/
typedef struct{
  Machine   *machine;    /* ROD Module, Software Model based on PThreads*/
}ROD_Software;
int Open_Software   ( ROD_Software**, w32 csr_addr, w32 sys_addr );
int Close_Software  ( ROD_Software*  );
int Stop_Software   ( ROD_Software*  );
int Run_Software    ( ROD_Software*  );
int Dump_Software   ( ROD_Software*  );
int Config_Software ( ROD_Software*, w32 *cfg_data, w32 *obj_info );

#endif
