#!/bin/tcsh 
#

printf "\n[ROD-Target]:\n\t$1\n"
setenv Host_Libs "libVMEchip2.a"
setenv obj_d "$root_d/rod/$1/OBJs"
setenv LFLAGS "-mposix4d9 -mthreads -lVMEchip2"
setenv inc_flags "-Iinc -Iinc/UIO2.5.1 -Iinc/VMEchip2"


if( $2 == "SetUp" ) then
# Checking the ROD-Target object directory
 if( !( -e ${obj_d}/ ) ) then
  printf "Making: -= ROD:$1 =- Directory Tree"
  mkdir -p $obj_d
 else
  printf "Directory Tree:\n\t${obj_d}\n\tAlready Done\n"
 endif

# Checking the VMElib Stuff
 if( !( -e ${obj_d}/${Host_Libs} ) ) then
  printf "Making VMElib Link:\n\t${obj_d}/${Host_Libs}\n"
  ln -s ${root_d}/VMElib/OBJs/libVMEchip2.a ${obj_d}/${Host_Libs}
 else
  printf "VMElib Link:\n\t${obj_d}/${Host_Libs}\n\tAlready Done\n"
 endif

else
# Something To Build
 make -rC src/$1 $2
endif

unsetenv LFLAGS inc_flags obj_d Host_Libs
